Ruby: re_pattern_buffer Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
re_pattern_buffer Struct Reference

`#include <onigmo.h>`

## Data Fields
unsigned char * | p
unsigned int | used
unsigned int | alloc
int | num_mem
int | num_repeat
int | num_null_check
int | num_comb_exp_check
int | num_call
unsigned int | capture_history
unsigned int | bt_mem_start
unsigned int | bt_mem_end
int | stack_pop_level
int | repeat_range_alloc
OnigOptionType | options
OnigRepeatRange * | repeat_range
OnigEncoding | enc
const OnigSyntaxType * | syntax
void * | name_table
OnigCaseFoldType | case_fold_flag
int | optimize
int | threshold_len
int | anchor
OnigDistance | anchor_dmin
OnigDistance | anchor_dmax
int | sub_anchor
unsigned char * | exact
unsigned char * | exact_end
unsigned char | map [ONIG_CHAR_TABLE_SIZE]
int * | int_map
int * | int_map_backward
OnigDistance | dmin
OnigDistance | dmax
struct re_pattern_buffer * | chain

## Detailed Description

Definition at line 755 of file onigmo.h.

## Field Documentation

## ◆ alloc

unsigned int re_pattern_buffer::alloc

Definition at line 759 of file onigmo.h.

Referenced by onig_compile_ruby(), and onig_memsize().

## ◆ anchor

int re_pattern_buffer::anchor

Definition at line 784 of file onigmo.h.

Referenced by onig_search_gpos().

## ◆ anchor_dmax

OnigDistance re_pattern_buffer::anchor_dmax

Definition at line 786 of file onigmo.h.

Referenced by onig_search_gpos().

## ◆ anchor_dmin

OnigDistance re_pattern_buffer::anchor_dmin

Definition at line 785 of file onigmo.h.

Referenced by onig_search_gpos().

## ◆ bt_mem_end

unsigned int re_pattern_buffer::bt_mem_end

Definition at line 768 of file onigmo.h.

Referenced by onig_compile_ruby().

## ◆ bt_mem_start

unsigned int re_pattern_buffer::bt_mem_start

Definition at line 767 of file onigmo.h.

Referenced by onig_compile_ruby().

## ◆ capture_history

unsigned int re_pattern_buffer::capture_history

Definition at line 766 of file onigmo.h.

Referenced by onig_compile_ruby(), and onig_number_of_capture_histories().

## ◆ case_fold_flag

OnigCaseFoldType re_pattern_buffer::case_fold_flag

Definition at line 779 of file onigmo.h.

Referenced by onig_get_case_fold_flag(), and onig_parse_make_tree().

## ◆ chain

struct re_pattern_buffer* re_pattern_buffer::chain

Definition at line 797 of file onigmo.h.

Referenced by onig_free_body(), and onig_memsize().

## ◆ dmax

OnigDistance re_pattern_buffer::dmax

Definition at line 794 of file onigmo.h.

Referenced by onig_search_gpos().

## ◆ dmin

OnigDistance re_pattern_buffer::dmin

Definition at line 793 of file onigmo.h.

## ◆ enc

OnigEncoding re_pattern_buffer::enc

Definition at line 776 of file onigmo.h.

Referenced by onig_compile_ruby(), onig_foreach_name(), onig_get_encoding(), onig_match(), onig_parse_make_tree(), onig_scan(), onig_search_gpos(), and rb_reg_prepare_re0().

## ◆ exact

unsigned char* re_pattern_buffer::exact

Definition at line 788 of file onigmo.h.

Referenced by onig_free_body(), and onig_memsize().

## ◆ exact_end

unsigned char* re_pattern_buffer::exact_end

Definition at line 789 of file onigmo.h.

Referenced by onig_memsize().

## ◆ int_map

int* re_pattern_buffer::int_map

Definition at line 791 of file onigmo.h.

Referenced by onig_free_body(), and onig_memsize().

## ◆ int_map_backward

int* re_pattern_buffer::int_map_backward

Definition at line 792 of file onigmo.h.

Referenced by onig_free_body(), and onig_memsize().

## ◆ map

unsigned char re_pattern_buffer::map[ONIG_CHAR_TABLE_SIZE]

Definition at line 790 of file onigmo.h.

## ◆ name_table

void* re_pattern_buffer::name_table

Definition at line 778 of file onigmo.h.

Referenced by onig_foreach_name(), onig_names_free(), onig_number_of_names(), and onig_renumber_name_table().

## ◆ num_call

int re_pattern_buffer::num_call

Definition at line 765 of file onigmo.h.

Referenced by onig_compile_ruby().

## ◆ num_comb_exp_check

int re_pattern_buffer::num_comb_exp_check

Definition at line 764 of file onigmo.h.

Referenced by onig_compile_ruby(), onig_match(), and onig_search_gpos().

## ◆ num_mem

int re_pattern_buffer::num_mem

Definition at line 761 of file onigmo.h.

Referenced by onig_compile_ruby(), onig_match(), onig_number_of_captures(), onig_parse_make_tree(), and onig_search_gpos().

## ◆ num_null_check

int re_pattern_buffer::num_null_check

Definition at line 763 of file onigmo.h.

Referenced by onig_compile_ruby().

## ◆ num_repeat

int re_pattern_buffer::num_repeat

Definition at line 762 of file onigmo.h.

Referenced by onig_compile_ruby().

## ◆ optimize

int re_pattern_buffer::optimize

Definition at line 782 of file onigmo.h.

Referenced by onig_search_gpos().

## ◆ options

OnigOptionType re_pattern_buffer::options

Definition at line 772 of file onigmo.h.

Referenced by onig_compile_ruby(), onig_get_options(), onig_noname_group_capture_is_active(), onig_parse_make_tree(), onig_search_gpos(), and rb_reg_prepare_re0().

## ◆ p

unsigned char* re_pattern_buffer::p

Definition at line 757 of file onigmo.h.

Referenced by onig_free_body(), and onig_memsize().

## ◆ repeat_range

OnigRepeatRange* re_pattern_buffer::repeat_range

Definition at line 774 of file onigmo.h.

Referenced by onig_compile_ruby(), onig_free_body(), and onig_memsize().

## ◆ repeat_range_alloc

int re_pattern_buffer::repeat_range_alloc

Definition at line 770 of file onigmo.h.

Referenced by onig_compile_ruby(), and onig_memsize().

## ◆ stack_pop_level

int re_pattern_buffer::stack_pop_level

Definition at line 769 of file onigmo.h.

Referenced by onig_compile_ruby().

## ◆ sub_anchor

int re_pattern_buffer::sub_anchor

Definition at line 787 of file onigmo.h.

## ◆ syntax

const OnigSyntaxType* re_pattern_buffer::syntax

Definition at line 777 of file onigmo.h.

Referenced by onig_get_syntax(), onig_noname_group_capture_is_active(), and onig_parse_make_tree().

## ◆ threshold_len

int re_pattern_buffer::threshold_len

Definition at line 783 of file onigmo.h.

Referenced by onig_search_gpos().

## ◆ used

unsigned int re_pattern_buffer::used

Definition at line 758 of file onigmo.h.

Referenced by onig_compile_ruby().

The documentation for this struct was generated from the following file:

- include/ruby/onigmo.h